import { Extension } from '../../types';
/**
 * Extension adding a `selectionChange` handler to highlight the bracket pair closest to
 * the cursor.
 *
 * This extension requires the {@link matchBrackets} extension to work.
 *
 * The `.active-bracket` CSS selector can be used to highlight the brackets.
 */
export declare const highlightBracketPairs: () => Extension;
