import { l as languages, a as tokenize } from "../../index-k28m3HFc.js";
import { e as embeddedIn } from "../../templating-DcpUBghR-BHq5GzjS.js";
import "./markup.js";
import "./ruby.js";
languages.erb = {
  "erb": {
    pattern: /<%=?(?:[^\n]|\n(?!=begin)|\n=begin\s(?:[^\n]|\n(?!=end))*\n=end)+?%>/,
    inside: {
      "delimiter": {
        pattern: /^<%=?|%>$/,
        alias: "punctuation"
      },
      "ruby": {
        pattern: /\s*\S[^]*/,
        alias: "language-ruby",
        inside: "ruby"
      }
    }
  },
  [tokenize]: embeddedIn("html")
};
//# sourceMappingURL=erb.js.map
