import { l as languageMap } from "../core-KRqi5ptr.js";
import { l as getClosestToken, m as voidTags } from "../local-DVlaAAgt.js";
import { h as htmlAutoIndent, c as clikeComment, f as autoCloseTags, x as xmlOpeningTag, e as markupComment } from "../index-WKDtoMVz.js";
languageMap.php = {
  comments: clikeComment,
  getComments: (editor, position) => {
    if (getClosestToken(editor, ".php", 0, 0, position)) return clikeComment;
    return markupComment;
  },
  autoIndent: htmlAutoIndent(xmlOpeningTag, voidTags),
  autoCloseTags: ([start, end], value, editor) => {
    return !value.includes("<?") || getClosestToken(editor, ".php", 0, 0, start) ? "" : autoCloseTags(editor, start, end, value, xmlOpeningTag, voidTags);
  }
};
//# sourceMappingURL=php.js.map
