import { l as languageMap } from "../core-KRqi5ptr.js";
import { l as getClosestToken } from "../local-DVlaAAgt.js";
import { m as markupLanguage } from "../index-WKDtoMVz.js";
const comment = ["(:", ":)"];
const xquery = languageMap.xquery = markupLanguage(
  { block: comment },
  /<(?!!|\d)([^\s/=>$<%]+)(?:\s+[^\s/=>]+(?:\s*=\s*(["'])(?:\{\{|\{(?!\{)(?:[^{}]|\{(?:[^{}]|\{[^}]*\})*\})*\}|(?!\2)[^{])*\2)?)*\s*>[ \t]*$/
);
xquery.getComments = (editor, position) => ({
  block: getClosestToken(editor, ".plain-text", 0, 0, position) ? ["{(:", ":)}"] : comment
});
//# sourceMappingURL=xquery.js.map
