import { l as languages } from "../../index-k28m3HFc.js";
import { c as clikeClass } from "../../clike-class-B8-ApZOm-B8-ApZOm.js";
import { c as clikePunctuation, e as clikeNumber, d as boolean, b as clikeString, a as clikeComment } from "../../patterns-Cp3h1ylA-DIMdJT1M.js";
languages.clike = {
  "comment": clikeComment(),
  "string": clikeString(),
  "class-name": clikeClass(),
  "keyword": /\b(?:break|catch|continue|do|else|finally|for|function|if|in|instanceof|new|null|return|throw|try|while)\b/,
  "boolean": boolean,
  "function": /\b\w+(?=\()/,
  "number": clikeNumber,
  "operator": /[!=]==|[!=<>]=?|--?|\+\+?|&&?|\|\|?|[?*/~^%]/,
  "punctuation": clikePunctuation
};
//# sourceMappingURL=clike.js.map
