import { l as languages } from "../../index-k28m3HFc.js";
import { c as clikeClass } from "../../clike-class-B8-ApZOm-B8-ApZOm.js";
import { d as boolean, a as clikeComment } from "../../patterns-Cp3h1ylA-DIMdJT1M.js";
var expression = {
  pattern: /[^]+/
};
var interpolation = {
  pattern: /((?:^|[^\\$])(?:\\\\)*)\$(?:\w+|\{[^{}]*\})/,
  lookbehind: true,
  inside: {
    "interpolation-punctuation": {
      pattern: /^\$\{?|\}$/,
      alias: "punctuation"
    },
    "expression": expression
  }
};
expression.inside = languages.gradle = {
  "comment": clikeComment(),
  "shebang": {
    pattern: /#!.+/g,
    alias: "comment",
    greedy: true
  },
  "interpolation-string": {
    pattern: /"""(?:\\[^]|[^\\])*?"""|(["/])(?:\\.|(?!\1)[^\\\n])*\1|\$\/(?:[^/$]|\$(?:[/$]|(?![/$]))|\/(?!\$))*\/\$/g,
    greedy: true,
    inside: {
      "interpolation": interpolation,
      "string": /[^]+/
    }
  },
  "string": {
    pattern: /'''(?:\\[^]|[^\\])*?'''|'(?:\\.|[^\\\n'])*'/g,
    greedy: true
  },
  "class-name": clikeClass(),
  "keyword": /\b(?:apply|def|dependencies|else|if|implementation|import|plugins?|project|repositories|repository|sourceSets|tasks|val)\b/,
  "boolean": boolean,
  "annotation": {
    pattern: /(^|[^.])@\w+/,
    lookbehind: true,
    alias: "punctuation"
  },
  "function": /\b\w+(?=\()/,
  "number": /\b(?:0b[01_]+|0x[a-f\d_]+(?:\.[a-f\d_p-]+)?|[\d_]+(?:\.[\d_]+)?(?:e[+-]?\d+)?)[glidf]?\b/i,
  "operator": {
    pattern: /(^|[^.])(?:~|==?~?|\?[.:]?|\*\.|\.[@&]|\.\.<|\.\.(?!\.)|--|\+\+|&&|\|\||\*\*=?|->|>>>?=?|<<=?|<=>?|[%&|^!=<>/*+-]=?)/,
    lookbehind: true
  },
  "spock-block": /\b(?:and|cleanup|expect|given|setup|[tw]hen|where):/,
  "punctuation": /\.+|[()[\]{},:;$]/
};
//# sourceMappingURL=gradle.js.map
