import { l as languages, a as tokenize } from "../../index-k28m3HFc.js";
import { c as clikeClass } from "../../clike-class-B8-ApZOm-B8-ApZOm.js";
import { e as clikeNumber, d as boolean } from "../../patterns-Cp3h1ylA-DIMdJT1M.js";
import { e as embeddedIn } from "../../templating-DcpUBghR-BHq5GzjS.js";
import "./markup.js";
languages.tt2 = {
  "tt2": {
    pattern: /\[%[^]+?%\]/,
    alias: "language-tt2",
    inside: {
      "comment": /#.*|\[%#[^]*?%\]/,
      "string": [
        {
          pattern: /'[^\\']*(?:\\[^][^\\']*)*'/g,
          greedy: true
        },
        {
          pattern: /"[^\\"]*(?:\\[^][^\\"]*)*"/g,
          greedy: true,
          inside: {
            "variable": /\$(?:[a-z]\w*(?:\.(?:\d+|\$?[a-z]\w*))*)/i
          }
        }
      ],
      "class-name": clikeClass(),
      "delimiter": {
        pattern: /^[[%]%-?|-?%\]$/,
        alias: "punctuation"
      },
      "keyword": /\b(?:BLOCK|CALL|CASE|CATCH|CLEAR|DEBUG|DEFAULT|ELSE|ELSIF|END|FILTER|FINAL|FOREACH|[GS]ET|IF|IN|INCLUDE|INSERT|LAST|MACRO|META|NEXT|PERL|PROCESS|RAWPERL|RETURN|STOP|SWITCH|TAGS|THROW|TRY|UNLESS|USE|WHILE|WRAPPER)\b/,
      "boolean": boolean,
      "function": /\b\w+(?=\()/,
      "operator": /=>|[!=<>]=?|&&|\|\|?|\b(?:and|not|or)\b/,
      "variable": /\b[a-z]\w*(?:\s*\.\s*(?:\d+|\$?[a-z]\w*))*\b/i,
      "number": clikeNumber,
      "punctuation": /[()[\]{},]/
    }
  },
  [tokenize]: embeddedIn("html")
};
//# sourceMappingURL=tt2.js.map
